
From: Ray Bryant <raybry@sgi.com>

Signed-off-by: Ray Bryant <raybry@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/spinlock.h |   11 +++++++++--
 25-akpm/kernel/spinlock.c        |   10 ----------
 2 files changed, 9 insertions(+), 12 deletions(-)

diff -puN include/linux/spinlock.h~lockmeter-in_lock_functions-fix include/linux/spinlock.h
--- 25/include/linux/spinlock.h~lockmeter-in_lock_functions-fix	Thu Sep 16 15:13:50 2004
+++ 25-akpm/include/linux/spinlock.h	Thu Sep 16 15:13:50 2004
@@ -76,7 +76,15 @@ void __lockfunc _write_unlock_irq(rwlock
 void __lockfunc _write_unlock_bh(rwlock_t *lock);
 int __lockfunc _spin_trylock_bh(spinlock_t *lock);
 int __lockfunc generic_raw_read_trylock(rwlock_t *lock);
-int in_lock_functions(unsigned long addr);
+
+static inline int in_lock_functions(unsigned long addr)
+{
+	/* Linker adds these: start and end of __lockfunc functions */
+	extern char __lock_text_start[], __lock_text_end[];
+
+	return addr >= (unsigned long)__lock_text_start
+	&& addr < (unsigned long)__lock_text_end;
+}
 
 #else
 
@@ -542,5 +550,4 @@ static inline int bit_spin_is_locked(int
 	return 1;
 #endif
 }
-
 #endif /* __LINUX_SPINLOCK_H */
diff -puN kernel/spinlock.c~lockmeter-in_lock_functions-fix kernel/spinlock.c
--- 25/kernel/spinlock.c~lockmeter-in_lock_functions-fix	Thu Sep 16 15:13:50 2004
+++ 25-akpm/kernel/spinlock.c	Thu Sep 16 15:13:50 2004
@@ -355,13 +355,3 @@ int __lockfunc _spin_trylock_bh(spinlock
 	return 0;
 }
 EXPORT_SYMBOL(_spin_trylock_bh);
-
-int in_lock_functions(unsigned long addr)
-{
-	/* Linker adds these: start and end of __lockfunc functions */
-	extern char __lock_text_start[], __lock_text_end[];
-
-	return addr >= (unsigned long)__lock_text_start
-	&& addr < (unsigned long)__lock_text_end;
-}
-EXPORT_SYMBOL(in_lock_functions);
_
